#ifndef _COMM_H_
#define _COMM_H_
#include <pktlab.h>

enum ctrlmsg_type {
    CTRLMSG_TYPE_UNDEF,
    CTRLMSG_TYPE_FINISH,
    CTRLMSG_TYPE_YIELD,
    CTRLMSG_TYPE_SUSPEND,
    CTRLMSG_TYPE_NUM,
};

struct ctrlmsg {
    enum ctrlmsg_type type;
    union {
        struct {
            pktlab_time_t time;
        } yield;
    };
}__attribute__((packed));

extern int recv_ctrlmsg(int fd, struct ctrlmsg* msg);
extern int send_ctrlmsg(int fd, enum ctrlmsg_type type, pktlab_time_t yield_hint);

#endif