// filter.h
//

#ifndef _FILTER_H_
#define _FILTER_H_

#include <stdbool.h>
#include <stdint.h>

#include "raw.h"

//
// EXPORTED FUNCTION DECLARATION
//

extern int load_bpf_filter (
    const void * filter, uint_fast32_t filterlen,
    bool is_ebpf);
extern int run_bpf_filters (
    struct raw_prog * filters,
    const void * data, uint_fast32_t datalen);

#endif